<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.HgExtension</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.HgExtension</h1>
<p>
Module implementing the base class for Mercurial extension interfaces.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgExtension">HgExtension</a></td>
<td>Class implementing the base class for Mercurial extension interfaces.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgExtension" ID="HgExtension"></a>
<h2>HgExtension</h2>
<p>
    Class implementing the base class for Mercurial extension interfaces.
</p>

<h3>Derived from</h3>
QObject
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgExtension.__init__">HgExtension</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#HgExtension.shutdown">shutdown</a></td>
<td>Public method used to shutdown the extension interface.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgExtension.__init__" ID="HgExtension.__init__"></a>
<h4>HgExtension (Constructor)</h4>
<b>HgExtension</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="HgExtension.shutdown" ID="HgExtension.shutdown"></a>
<h4>HgExtension.shutdown</h4>
<b>shutdown</b>(<i></i>)
<p>
        Public method used to shutdown the extension interface.
</p>
<p>
        The method of this base class does nothing.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
